Bug 143620 - JRockit v5 jdk and jre executables do not respond
JRockit v5 jdk and jre executables do not respond
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
3
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-12-22 17:40 EST by Nick Raponi
Modified: 2015-01-04 17:14 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-02 20:17:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Output from strace when running "java -version" (49.06 KB, text/plain)
2004-12-22 17:41 EST, Nick Raponi
no flags Details

  None (edit)
Description Nick Raponi 2004-12-22 17:40:15 EST
Description of problem:
The technology preview of the 64-bit version of BEA Weblogic Jrockit
java development kit (as found at
http://commerce.bea.com/products/weblogicjrockit/5.0/jr_50.jsp) does
not run correctly.

All of the commands (for instance the compiler, runtime and name
servers) do not work (respond) when executed. In all instances the
command returns no output and sits unresponsive until the process is
killed.

This report was initially filed with BEA newsgroups and the response
from there was to file the report here as the comment received was
that the output indicates that it may be a bug in the mmap implementation.

Version-Release number of selected component (if applicable):
WebLogic JRockit 5.0 JDK for Linux (Xeon - 64 bit)

How reproducible:
Every time

Steps to Reproduce:
1. Install the jrockit jdk into a directory
2. (Not mandatory) set JAVA_HOME environment variable to the install
directory that contains the "bin" directory
3. (Not mandatory) add the "bin" directory to the PATH
4. Execute "java -version" 
  
Actual results:
No output is generated, the process does not complete and the system
sits using 100% cpu utilisation.

strace output to be attached.

Expected results:
A line should be returned indicating the version of the JDK and the
process should exit immediately.

Additional info:
Running "strace" with the command provided additional information that
will be added to this note  (note that the mmap lines at the end of
the trace continued ad-infinitum with ever increasing addresses and so
have been stripped for brevity (in a matter of moments the output file
grew to over 91m!)
Comment 1 Nick Raponi 2004-12-22 17:41:49 EST
Created attachment 109056 [details]
Output from strace when running "java -version"
Comment 2 Dave Jones 2005-07-15 15:37:04 EDT
An update has been released for Fedora Core 3 (kernel-2.6.12-1.1372_FC3) which
may contain a fix for your problem.   Please update to this new kernel, and
report whether or not it fixes your problem.

If you have updated to Fedora Core 4 since this bug was opened, and the problem
still occurs with the latest updates for that release, please change the version
field of this bug to 'fc4'.

Thank you.
Comment 3 Dave Jones 2005-10-02 20:17:21 EDT
This bug has been automatically closed as part of a mass update.
It had been in NEEDINFO state since July 2005.
If this bug still exists in current errata kernels, please reopen this bug.

There are a large number of inactive bugs in the database, and this is the only
way to purge them.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.